Switch checked icon in context menu to SVG icon
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

The first patch switches checked icon in context menu from old-style icon to SVG icon.

Before:

 before.png 

After:

 after.png 

The other patches add a test for the context_menus_helper method, and fix a duplicate "disabled" class in its output.

Related issues:

Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

Associated revisions

Revision 23224 - 2024-11-10 07:40 - Go MAEDA

Switched checked icon in context menu to SVG icon (#23980, #41720).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23225 - 2024-11-10 07:43 - Go MAEDA

Added tests for context_menu_link helper (#23980, #41720).

Patch by Katsuya HIDAKA (user:hidakatsuya).

Revision 23226 - 2024-11-10 07:45 - Go MAEDA

Fixed duplicate "disabled" class in the context_menus_helper result (#23980, #41720).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2024-11-10 07:33 - Go MAEDA

- Assignee set to Go MAEDA

#2 - 2024-11-10 07:46 - Go MAEDA

- Status changed from New to Closed

Committed the patches as a part of #23980. Thank you for your contribution.

#3 - 2024-11-10 07:48 - Go MAEDA

- Related to Feature #23980: Replace icon images with Tabler SVG icons added

Files

0001-Switched-checked-icon-in-context-menu-to-SVG-icon.patch 2.88 KB 2024-11-09 Katsuya HIDAKA

0002-Added-tests-for-context_menu_link-helper.patch 2.21 KB 2024-11-09 Katsuya HIDAKA

0003-Fixed-duplicate-disabled-class-in-the-context_menus_helper-result.patch1.92 KB 2024-11-09 Katsuya HIDAKA

before.png 40.6 KB 2024-11-09 Katsuya HIDAKA

after.png 40.5 KB 2024-11-09 Katsuya HIDAKA
